Fixup fromcvs/togit conversion
[pkgsrcv2.git] / comms / asterisk18 / patches / patch-aq
1 $NetBSD$
2
3 --- configure.orig      2013-02-27 14:11:39.000000000 +0000
4 +++ configure
5 @@ -14751,7 +14751,7 @@ fi
6  done
7  
8  
9 -for ac_func in asprintf atexit closefrom dup2 eaccess endpwent euidaccess ffsll ftruncate getcwd gethostbyname gethostname getloadavg gettimeofday glob htonll ioperm inet_ntoa isascii memchr memmove memset mkdir mkdtemp munmap ntohll newlocale ppoll putenv re_comp regcomp select setenv socket strcasecmp strcasestr strchr strcspn strdup strerror strlcat strlcpy strncasecmp strndup strnlen strrchr strsep strspn strstr strtod strtol strtold strtoq unsetenv utime vasprintf getpeereid sysctl swapctl
10 +for ac_func in asprintf atexit closefrom dup2 eaccess endpwent euidaccess ffsll ftruncate getcwd gethostbyname gethostname getloadavg gettimeofday glob htonll ioperm inet_ntoa isascii memchr memmove memset mkdir mkdtemp munmap ntohll newlocale ppoll putenv re_comp regcomp select setenv socket strcasecmp strcasestr strchr strcspn strdup strerror strlcat strlcpy strncasecmp strndup strnlen strrchr strsep strspn strstr strptime_l strftime_l strtod strtol strtold strtoq unsetenv utime vasprintf getpeereid sysctl swapctl
11  do :
12    as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
13  ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
14 @@ -16717,7 +16717,7 @@ $as_echo "user CFLAGS present" >&6; }
15  else
16         { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
17  $as_echo "no" >&6; }
18 -       AST_NATIVE_ARCH=
19 +       AST_NATIVE_ARCH=0
20  fi
21  
22  
23 @@ -17177,6 +17177,146 @@ fi
24  
25  
26  
27 +if test "${ac_cv_header_sys_atomic_h+set}" = set; then
28 +  { echo "$as_me:$LINENO: checking for sys/atomic.h" >&5
29 +echo $ECHO_N "checking for sys/atomic.h... $ECHO_C" >&6; }
30 +if test "${ac_cv_header_sys_atomic_h+set}" = set; then
31 +  echo $ECHO_N "(cached) $ECHO_C" >&6
32 +fi
33 +{ echo "$as_me:$LINENO: result: $ac_cv_header_sys_atomic_h" >&5
34 +echo "${ECHO_T}$ac_cv_header_sys_atomic_h" >&6; }
35 +else
36 +  # Is the header compilable?
37 +{ echo "$as_me:$LINENO: checking sys/atomic.h usability" >&5
38 +echo $ECHO_N "checking sys/atomic.h usability... $ECHO_C" >&6; }
39 +cat >conftest.$ac_ext <<_ACEOF
40 +/* confdefs.h.  */
41 +_ACEOF
42 +cat confdefs.h >>conftest.$ac_ext
43 +cat >>conftest.$ac_ext <<_ACEOF
44 +/* end confdefs.h.  */
45 +$ac_includes_default
46 +#include <sys/atomic.h>
47 +_ACEOF
48 +rm -f conftest.$ac_objext
49 +if { (ac_try="$ac_compile"
50 +case "(($ac_try" in
51 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
52 +  *) ac_try_echo=$ac_try;;
53 +esac
54 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
55 +  (eval "$ac_compile") 2>conftest.er1
56 +  ac_status=$?
57 +  grep -v '^ *+' conftest.er1 >conftest.err
58 +  rm -f conftest.er1
59 +  cat conftest.err >&5
60 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
61 +  (exit $ac_status); } && {
62 +        test -z "$ac_c_werror_flag" ||
63 +        test ! -s conftest.err
64 +       } && test -s conftest.$ac_objext; then
65 +  ac_header_compiler=yes
66 +else
67 +  echo "$as_me: failed program was:" >&5
68 +sed 's/^/| /' conftest.$ac_ext >&5
69 +
70 +       ac_header_compiler=no
71 +fi
72 +
73 +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
74 +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
75 +echo "${ECHO_T}$ac_header_compiler" >&6; }
76 +
77 +# Is the header present?
78 +{ echo "$as_me:$LINENO: checking sys/atomic.h presence" >&5
79 +echo $ECHO_N "checking sys/atomic.h presence... $ECHO_C" >&6; }
80 +cat >conftest.$ac_ext <<_ACEOF
81 +/* confdefs.h.  */
82 +_ACEOF
83 +cat confdefs.h >>conftest.$ac_ext
84 +cat >>conftest.$ac_ext <<_ACEOF
85 +/* end confdefs.h.  */
86 +#include <sys/atomic.h>
87 +_ACEOF
88 +if { (ac_try="$ac_cpp conftest.$ac_ext"
89 +case "(($ac_try" in
90 +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
91 +  *) ac_try_echo=$ac_try;;
92 +esac
93 +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
94 +  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
95 +  ac_status=$?
96 +  grep -v '^ *+' conftest.er1 >conftest.err
97 +  rm -f conftest.er1
98 +  cat conftest.err >&5
99 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
100 +  (exit $ac_status); } >/dev/null && {
101 +        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
102 +        test ! -s conftest.err
103 +       }; then
104 +  ac_header_preproc=yes
105 +else
106 +  echo "$as_me: failed program was:" >&5
107 +sed 's/^/| /' conftest.$ac_ext >&5
108 +
109 +  ac_header_preproc=no
110 +fi
111 +
112 +rm -f conftest.err conftest.$ac_ext
113 +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
114 +echo "${ECHO_T}$ac_header_preproc" >&6; }
115 +
116 +# So?  What about this header?
117 +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
118 +  yes:no: )
119 +    { echo "$as_me:$LINENO: WARNING: sys/atomic.h: accepted by the compiler, rejected by the preprocessor!" >&5
120 +echo "$as_me: WARNING: sys/atomic.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
121 +    { echo "$as_me:$LINENO: WARNING: sys/atomic.h: proceeding with the compiler's result" >&5
122 +echo "$as_me: WARNING: sys/atomic.h: proceeding with the compiler's result" >&2;}
123 +    ac_header_preproc=yes
124 +    ;;
125 +  no:yes:* )
126 +    { echo "$as_me:$LINENO: WARNING: sys/atomic.h: present but cannot be compiled" >&5
127 +echo "$as_me: WARNING: sys/atomic.h: present but cannot be compiled" >&2;}
128 +    { echo "$as_me:$LINENO: WARNING: sys/atomic.h:     check for missing prerequisite headers?" >&5
129 +echo "$as_me: WARNING: sys/atomic.h:     check for missing prerequisite headers?" >&2;}
130 +    { echo "$as_me:$LINENO: WARNING: sys/atomic.h: see the Autoconf documentation" >&5
131 +echo "$as_me: WARNING: sys/atomic.h: see the Autoconf documentation" >&2;}
132 +    { echo "$as_me:$LINENO: WARNING: sys/atomic.h:     section \"Present But Cannot Be Compiled\"" >&5
133 +echo "$as_me: WARNING: sys/atomic.h:     section \"Present But Cannot Be Compiled\"" >&2;}
134 +    { echo "$as_me:$LINENO: WARNING: sys/atomic.h: proceeding with the preprocessor's result" >&5
135 +echo "$as_me: WARNING: sys/atomic.h: proceeding with the preprocessor's result" >&2;}
136 +    { echo "$as_me:$LINENO: WARNING: sys/atomic.h: in the future, the compiler will take precedence" >&5
137 +echo "$as_me: WARNING: sys/atomic.h: in the future, the compiler will take precedence" >&2;}
138 +    ( cat <<\_ASBOX
139 +## ------------------------------------------ ##
140 +## Report this to https://issues.asterisk.org ##
141 +## ------------------------------------------ ##
142 +_ASBOX
143 +     ) | sed "s/^/$as_me: WARNING:     /" >&2
144 +    ;;
145 +esac
146 +{ echo "$as_me:$LINENO: checking for sys/atomic.h" >&5
147 +echo $ECHO_N "checking for sys/atomic.h... $ECHO_C" >&6; }
148 +if test "${ac_cv_header_sys_atomic_h+set}" = set; then
149 +  echo $ECHO_N "(cached) $ECHO_C" >&6
150 +else
151 +  ac_cv_header_sys_atomic_h=$ac_header_preproc
152 +fi
153 +{ echo "$as_me:$LINENO: result: $ac_cv_header_sys_atomic_h" >&5
154 +echo "${ECHO_T}$ac_cv_header_sys_atomic_h" >&6; }
155 +
156 +fi
157 +if test $ac_cv_header_sys_atomic_h = yes; then
158 +
159 +cat >>confdefs.h <<_ACEOF
160 +#define HAVE_SYS_ATOMIC_H 1
161 +_ACEOF
162 +
163 +fi
164 +
165 +
166 +
167  # The cast to long int works around a bug in the HP C Compiler
168  # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
169  # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
170 @@ -18291,6 +18431,8 @@ $as_echo_n "checking if \"struct ifaddrs
171  
172         cat confdefs.h - <<_ACEOF >conftest.$ac_ext
173  /* end confdefs.h.  */
174 + #include <sys/types.h>
175 + #include <sys/socket.h>
176   #include <ifaddrs.h>
177  int
178  main ()